pluginManagement {
    repositories {
        google {
            content {
                includeGroupByRegex("com\\.android.*")
                includeGroupByRegex("com\\.google.*")
                includeGroupByRegex("androidx.*")
            }
        }
        maven { url 'https://maven.aliyun.com/repository/public' }
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/gradle-plugin' }
        maven { url 'https://developer.huawei.com/repo/' }
        mavenCentral()
        gradlePluginPortal()
    }
}
dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
    repositories {
        maven { url 'https://maven.aliyun.com/repository/public' }
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/gradle-plugin' }
        maven { url 'https://mvn.getui.com/nexus/content/repositories/releases' }
        maven { url 'https://developer.huawei.com/repo/' }//添加华为仓库 获取oaid
        maven { url 'https://developer.hihonor.com/repo/'}
        maven { url 'https://artifact.bytedance.com/repository/Volcengine/' } //巨量融合
        maven { url "https://jitpack.io" }
        mavenCentral()
        google()
    }
}

rootProject.name = "blzb"
include ':app'
include ':base'